Skip to main content
GET
List customers

Editor interactivo de filter

Utiliza este editor para generar un valor que puedes usar en el parámetro filter del query string. Para relaciones, grupos lógicos y más ejemplos, consulta la guía de filtros.

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

filter
object

Filter fields encoded with qs bracket notation.

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

orderBy
object

Sort fields encoded with qs bracket notation.

Response

Customers list

id
string
required

Unique identifier of the customer.

Example:

"cus_1234567890abcdefghij"

createdAt
required

Date and time when the customer was created.

Example:

"2025-01-10T12:00:00.000Z"

updatedAt
required

Date and time when the customer was last updated.

Example:

"2025-01-10T12:00:00.000Z"

name
string
required

Name of the customer.

Example:

"Juan Pérez"

username
string
required

Username used for customer login and customer identification.

Example:

"juan_perez_01"

email
string | null
required

Email address of the customer.

Example:

"juan@example.com"

phoneNumber
string | null
required

Primary WhatsApp phone number of the customer, usually in E.164 format.

Example:

"+525512345678"

organizationId
string
required

Identifier of the organization this customer belongs to.

Example:

"org_1234567890abcdefghij"

secondaryPhoneNumber
string | null
required

Secondary phone number used for reminders and announcements.

Example:

null

archivedAt
required

Date and time when the customer was archived.

Example:

null

archivedById
string | null
required

Identifier of the user who archived this customer.

Example:

"u_1234567890abcdefghij"

acceptedServiceAgreement
boolean
required

Whether the customer has accepted the service agreement.

Example:

true

skipTaxInvoice
boolean
required

Whether tax invoice generation is skipped for this customer.

Example:

false

emailVerified
boolean
required

Whether the customer has verified their email address.

Example:

false

phoneNumberVerified
boolean
required

Whether the customer has verified their phone number.

Example:

true

hasChangedPassword
boolean
required

Whether the customer has set a non-default password.

Example:

true

signatureAcceptedAt
required

Date and time when recurring charges terms were accepted via signature.

Example:

"2025-01-10T12:00:00.000Z"

optedOutWhatsappAt
required

Date and time when the customer opted out of WhatsApp reminders.

Example:

null

optedInWhatsappAt
required

Date and time when the customer opted in to WhatsApp reminders.

Example:

"2025-01-05T10:00:00.000Z"

startedWhatsappAt
required

Date and time when WhatsApp opt-in flow was started for this customer.

Example:

"2025-01-05T09:55:00.000Z"

replyWithAssistant
boolean | null
required

Whether to reply to this customer using the assistant.

Example:

false

metadata
object[] | null

Custom metadata entries attached to this customer as key-value pairs.

Example:
meta
object | null

Flattened metadata map where each key maps to a string value.

Example: